IntelliToolRectangle Class Reference

The IntelliToolRectangle class represents a tool to draw a rectangle. More...

`#include <IntelliToolRectangle.h>`

Inheritance diagram for IntelliToolRectangle:

## Public Member Functions

| IntelliToolRectangle (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general paintingArea and colorPicker. And reading in the alphaInner and edgeWidth. More...
virtual | ~IntelliToolRectangle () override
| A Destructor. More...
virtual void | onMouseRightPressed (int x, int y) override
| A function managing the right click pressed of a mouse.Resetting the current draw. More...
virtual void | onMouseRightReleased (int x, int y) override
| A function managing the right click released of a mouse. More...
virtual void | onMouseLeftPressed (int x, int y) override
| A function managing the left click pressed of a mouse. Setting the originCorner and draws a rectangle. More...
virtual void | onMouseLeftReleased (int x, int y) override
| A function managing the left click released of a mouse. Merging the draw to the active layer. More...
virtual void | onWheelScrolled (int value) override
| A function managing the scroll event.Changing edgeWidth relativ to value. More...
virtual void | onMouseMoved (int x, int y) override
| A function managing the mouse moved event.Drawing a rectangle to currrent mouse position. More...
Public Member Functions inherited from IntelliTool
| IntelliTool (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general Painting Area and colorPicker. More...
virtual | ~IntelliTool ()=0
| An abstract Destructor. More...
Tooltype | getTooltype () const
| getTooltype returns the tools type More...
bool | getIsDrawing () const
| getIsDrawing returns if the tool is currently drawing More...

## Additional Inherited Members

Public Types inherited from IntelliTool
enum | Tooltype { Tooltype::CIRCLE, Tooltype::FLOODFILL, Tooltype::GRADIENT, Tooltype::LINE, Tooltype::PEN, Tooltype::PLAIN, Tooltype::POLYGON, Tooltype::RECTANGLE, Tooltype::NONE }
| The Tooltype enum categorising the toosl. More...
Protected Attributes inherited from IntelliTool
PaintingArea * | Area
| A pointer to the general PaintingArea to interact with. More...
Tooltype | ActiveType
| ActiveType the type of the active tool. More...
IntelliColorPicker * | colorPicker
| A pointer to the IntelliColorPicker of the PaintingArea to interact with, and get the colors. More...
IntelliToolsettings * | Toolsettings
| Toolsettings a refrence to the tool settings. More...
LayerObject * | activeLayer
| A pointer to the underlying active Layer, do not work on this. This is used for data grabbing or previews. More...
LayerObject * | Canvas
| A pointer to the drawing canvas of the tool, work on this. More...
bool | isDrawing = false
| A flag checking if the user is currently drawing or not. More...

## Detailed Description

The IntelliToolRectangle class represents a tool to draw a rectangle.

Definition at line 15 of file IntelliToolRectangle.h.

## Constructor & Destructor Documentation

## IntelliToolRectangle()

IntelliToolRectangle::IntelliToolRectangle | ( | PaintingArea * | Area,
|  | IntelliColorPicker * | colorPicker,
|  | IntelliToolsettings * | Toolsettings
| ) |  |

A constructor setting the general paintingArea and colorPicker. And reading in the alphaInner and edgeWidth.

Parameters

  Area | - The general paintingArea used by the project.
  colorPicker | - The general colorPicker used by the project.

Definition at line 5 of file IntelliToolRectangle.cpp.

## ~IntelliToolRectangle()

IntelliToolRectangle::~IntelliToolRectangle | ( |  | ) |

overridevirtual

A Destructor.

Definition at line 10 of file IntelliToolRectangle.cpp.

## Member Function Documentation

## onMouseLeftPressed()

void IntelliToolRectangle::onMouseLeftPressed | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the left click pressed of a mouse. Setting the originCorner and draws a rectangle.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 40 of file IntelliToolRectangle.cpp.

## onMouseLeftReleased()

void IntelliToolRectangle::onMouseLeftReleased | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the left click released of a mouse. Merging the draw to the active layer.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 47 of file IntelliToolRectangle.cpp.

## onMouseMoved()

void IntelliToolRectangle::onMouseMoved | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the mouse moved event.Drawing a rectangle to currrent mouse position.

Parameters

  x | - The x coordinate of the new mouse position.
  y | - The y coordinate of the new mouse position.

Reimplemented from IntelliTool.

Definition at line 51 of file IntelliToolRectangle.cpp.

## onMouseRightPressed()

void IntelliToolRectangle::onMouseRightPressed | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the right click pressed of a mouse.Resetting the current draw.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 32 of file IntelliToolRectangle.cpp.

## onMouseRightReleased()

void IntelliToolRectangle::onMouseRightReleased | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the right click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 36 of file IntelliToolRectangle.cpp.

## onWheelScrolled()

void IntelliToolRectangle::onWheelScrolled | ( | int | value | ) |

overridevirtual

A function managing the scroll event.Changing edgeWidth relativ to value.

Parameters

  value | - The absolute the scroll has changed.

Reimplemented from IntelliTool.

Definition at line 60 of file IntelliToolRectangle.cpp.

The documentation for this class was generated from the following files:

- src/Tool/IntelliToolRectangle.h
- src/Tool/IntelliToolRectangle.cpp